← Amathebula
Sula

Scotland

Caledonia North Region League Division 2

#IqembuPWDLPDBPPtsIsimo
1Aberdeenshire RFC7700+333735WWWWW
2Shetland RFC6402+76420WWLL
3Highland 3rd XV5302+3517WLWLW
4North Police Scotland6303+31416LLWWL
5Garioch RFC5302+29214LLWWW
6Banff RFC5203+6027LWLWL
7Stornoway RFC7106-12730LLWLL
8Aberdeen Grammar Rugby 2nd XV5005-40510LLLL

Umthombo: Scottish Rugby · kuhloliwe Okt 18 16:20 · Isimo: imiphumela emihlanu yokugcina esinayo, entsha ingakwesokudla.

Imidlalo nemiphumela →

Ithebula ngalinye yilelo elishicilelwe yiligi uqobo, kufaka phakathi amaphuzu ebhonasi, ukususwa kwamaphuzu nemithetho yokulingana. I-BP iboniswa lapho iligi iyishicilela khona; kwezinye izindawo isivele iku-Pts.